=== debian/control ===
Source: palo
Section: admin
Priority: optional
Maintainer: Helge Deller <deller@gmx.de>
Uploaders:
Build-Depends: debhelper (>= 9), lynx, gcc-hppa-linux-gnu [!hppa], libc6-dev-hppa-cross [!hppa], help2man
Standards-Version: 4.4.1
Homepage: https://git.kernel.org/cgit/linux/kernel/git/deller/palo.git
Vcs-Browser: https://git.kernel.org/cgit/linux/kernel/git/deller/palo.git
Vcs-Git: git://git.kernel.org/pub/scm/linux/kernel/git/deller/palo.git

Package: palo
Architecture: amd64 i386 hppa x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: e2fsprogs
Description: Linux boot loader for HP PA-RISC
 PALO is the boot loader for HP PA-RISC machines. This package contains
 both the actual boot loader called iplboot as well as a boot media
 management tool after which bears the name PALO. While iplboot
 can be used on PA-RISC machines only, the PALO media management tool
 runs on any architecture and is used to create boot media for
 HP PA-RISC machines.
